/*---------------------------------------------------------------------------------------------------------------------

                                                                                                        Test.mq4 
                                                                                    Copyright 2014, Vadim German 
                                                                  
  -------------------------------------------------------------------------------------------------------------------*/
#include <stdlib.mqh>
 
/*---------------------------------------------------------------------------------------------------------------------
               expert initialization function                                       
  -------------------------------------------------------------------------------------------------------------------*/
void OnInit()
  {
  }
  
/*---------------------------------------------------------------------------------------------------------------------
               expert deinitialization function                                       
  -------------------------------------------------------------------------------------------------------------------*/
void OnDeinit(const int reason)
  {
  }
  
/*---------------------------------------------------------------------------------------------------------------------
               expert start function                                       
  -------------------------------------------------------------------------------------------------------------------*/
void OnTick()
  {
   double   delta;
   int      specialTicket,startTime,error;
      
   specialTicket=OrderSend(_Symbol,OP_BUYLIMIT,0.1,NormalizeDouble(Ask/2.,_Digits),0,0,0," ");
   if (specialTicket<0) {error=GetLastError(); Alert(" #",error,"-",ErrorDescription(error));return;}
   else startTime=GetTickCount();

   delta=10.*_Point;
   while(!IsStopped())
     {
      if(specialTicket>0&&IsConnected()&&(GetTickCount()-startTime>=29000))
        {
         OrderModify(specialTicket,NormalizeDouble(Ask/2.+delta,_Digits),0.,0.,0);
         delta=-delta;
         startTime=GetTickCount();
        }
      Sleep(1000);
     }     
   
   //  
   if (IsTradeAllowed()) Print (" #4109   !!!");
   if (specialTicket>0)
      if (!OrderDelete(specialTicket))
        {
         error=GetLastError();
         Alert("   .  #",error,"-",ErrorDescription(error));
        } 
     
   return;
  }
  
